package com.admin.major.domain;

import java.math.BigDecimal;
import com.admin.common.annotation.Excel;
import com.admin.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 学生信息对象 m_student_info
 *
 * @author zewei
 * @date 2022-03-27
 */
public class StudentInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 学号 */
    private String studentId;

    /** 学生名称 */
    @Excel(name = "学生名称")
    private String studentName;

    /** 学号（保留字段） */
    @Excel(name = "学号", readConverterExp = "保=留字段")
    private String studentNo;

    /** 源数据id */
    @Excel(name = "源数据id")
    private String orginId;

    /** 微信关联ip */
    @Excel(name = "微信关联ip")
    private String openId;

    /** 头像 */
    @Excel(name = "头像")
    private String avatar;

    /** 班级名称 */
    @Excel(name = "班级名称")
    private String className;

    /** 绩点 */
    @Excel(name = "绩点")
    private BigDecimal score;

    /** 排名 */
    @Excel(name = "排名")
    private Long rank;

    /** 联系号码 */
    @Excel(name = "联系号码")
    private String phonenumber;

    /** 邮箱 */
    @Excel(name = "邮箱")
    private String email;

    /** 性别 */
    @Excel(name = "性别")
    private String gender;

    /** 监护人号码 */
    @Excel(name = "监护人号码")
    private String guardianPhone;

    /** 创建用户 */
    @Excel(name = "创建用户")
    private Long createUserId;

    /** 更新用户id */
    @Excel(name = "更新用户id")
    private Long updateUserId;

    /** 学院id */
    @Excel(name = "学院id")
    private Long collegeId;

    /** 年份 */
    @Excel(name = "年份")
    private String year;

    /** 专业id */
    @Excel(name = "专业id")
    private String majorId;

    /** 专业id */
    @Excel(name = "是否处分")
    private Boolean punishFlag;

    /**
     * 是否少数民族
     */
    private Boolean isMinority;

    public Boolean getIsMinority() {
        return isMinority;
    }

    public void setIsMinority(Boolean minority) {
        isMinority = minority;
    }

    public void setStudentId(String studentId)
    {
        this.studentId = studentId;
    }

    public String getStudentId()
    {
        return studentId;
    }
    public void setStudentName(String studentName)
    {
        this.studentName = studentName;
    }

    public String getStudentName()
    {
        return studentName;
    }
    public void setStudentNo(String studentNo)
    {
        this.studentNo = studentNo;
    }

    public String getStudentNo()
    {
        return studentNo;
    }
    public void setOrginId(String orginId)
    {
        this.orginId = orginId;
    }

    public String getOrginId()
    {
        return orginId;
    }
    public void setOpenId(String openId)
    {
        this.openId = openId;
    }

    public String getOpenId()
    {
        return openId;
    }
    public void setAvatar(String avatar)
    {
        this.avatar = avatar;
    }

    public String getAvatar()
    {
        return avatar;
    }
    public void setClassName(String className)
    {
        this.className = className;
    }

    public String getClassName()
    {
        return className;
    }
    public void setScore(BigDecimal score)
    {
        this.score = score;
    }

    public BigDecimal getScore()
    {
        return score;
    }
    public void setRank(Long rank)
    {
        this.rank = rank;
    }

    public Long getRank()
    {
        return rank;
    }
    public void setPhonenumber(String phonenumber)
    {
        this.phonenumber = phonenumber;
    }

    public String getPhonenumber()
    {
        return phonenumber;
    }
    public void setEmail(String email)
    {
        this.email = email;
    }

    public String getEmail()
    {
        return email;
    }
    public void setGender(String gender)
    {
        this.gender = gender;
    }

    public String getGender()
    {
        return gender;
    }
    public void setGuardianPhone(String guardianPhone)
    {
        this.guardianPhone = guardianPhone;
    }

    public String getGuardianPhone()
    {
        return guardianPhone;
    }
    public void setCreateUserId(Long createUserId)
    {
        this.createUserId = createUserId;
    }

    public Long getCreateUserId()
    {
        return createUserId;
    }
    public void setUpdateUserId(Long updateUserId)
    {
        this.updateUserId = updateUserId;
    }

    public Long getUpdateUserId()
    {
        return updateUserId;
    }
    public void setCollegeId(Long collegeId)
    {
        this.collegeId = collegeId;
    }

    public Long getCollegeId()
    {
        return collegeId;
    }
    public void setYear(String year)
    {
        this.year = year;
    }

    public String getYear()
    {
        return year;
    }
    public void setMajorId(String majorId)
    {
        this.majorId = majorId;
    }

    public String getMajorId()
    {
        return majorId;
    }

    public Boolean getPunishFlag() {
        return punishFlag;
    }

    public void setPunishFlag(Boolean punishFlag) {
        this.punishFlag = punishFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("studentId", getStudentId())
            .append("studentName", getStudentName())
            .append("studentNo", getStudentNo())
            .append("orginId", getOrginId())
            .append("openId", getOpenId())
            .append("avatar", getAvatar())
            .append("className", getClassName())
            .append("score", getScore())
            .append("rank", getRank())
            .append("phonenumber", getPhonenumber())
            .append("email", getEmail())
            .append("gender", getGender())
            .append("guardianPhone", getGuardianPhone())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("createUserId", getCreateUserId())
            .append("updateUserId", getUpdateUserId())
            .append("collegeId", getCollegeId())
            .append("year", getYear())
            .append("majorId", getMajorId())
            .append("punishFlag", getPunishFlag())
            .toString();
    }
}
